Subject: bug#1806: dired-pop-to-buffer in wrong place

From: Stefan Monnier <[email-masked]>
Date: Fri, 16 Oct 2009 11:37:37 -0400

>>> `special-display-popup-frame' is a misnomer (and sits in the wrong file)
>>> if we continue to overload it with such window specific enhancements.
>> Hmm... I did write special-display-buffer-names rather than
>> special-display-popup-frame, didn't I?
> Right.  But a match for `special-display-buffer-names' triggers the call
> of `special-display-function' whose default value is
> `special-display-popup-frame'.  And the latter has to handle all those
> nasty things like 'same-window and 'same-frame, popping up a new frame
> only as last resort.  That function has gone a long way ...

Oh, I see what you mean now.  Yes, it deserves a rename.  But that's
trivial to do, isn't it?

        Stefan